<?php
namespace SabaiApps\Directories\Component\Faker\Generator;

use SabaiApps\Directories\Component\Field\IField;
use SabaiApps\Directories\Component\Entity\Model\Bundle;
use SabaiApps\Directories\Component\Entity\Type\IEntity;

interface IGenerator {

	public function fakerGeneratorInfo( $key = null );
	public function fakerGeneratorSettingsForm( IField $field, array $settings, $mode, array $parents = array() );
	public function fakerGeneratorGenerate( IField $field, array $settings, array &$formStorage, ?IEntity $entity = null );
	public function fakerGeneratorSupports( Bundle $bundle, IField $field );
}
